package homework2_2;
/*
Петя решил начать следить за своей фигурой. Но все существующие
приложения для подсчета калорий ему не понравились и он решил написать
свое. Петя хочет каждый день записывать сколько белков, жиров, углеводов и
калорий он съел, а в конце недели приложение должно его уведомлять,
вписался ли он в свою норму или нет.
На вход подаются числа A — недельная норма белков, B — недельная норма
жиров, C — недельная норма углеводов и K — недельная норма калорий.
Затем передаются 7 строк, в которых в том же порядке указаны сколько было
съедено Петей нутриентов в каждый день недели. Если за неделю в сумме по
каждому нутриенту не превышена недельная норма, то вывести “Отлично”,
иначе вывести “Нужно есть поменьше”.
Ограничения: ● 0 < A, B, C < 2000 ● 0 < ai, bi, ci < 2000 ● 0 < K < 20000 ● 0 < ki < 20000
882 595 1232 17500
116 85 76 2300
100 98 124 2500
182 70 154 2750
114 85 74 1900
96 77 60 1890
110 96 98 2500
155 67 124 2500
Отлично
882 595 1232 17500
142 85 76 2300
100 93 124 2500
282 70 144 3350
114 85 74 1900
96 77 60 1890
110 96 98 2500
155 67 124 3790
Нужно есть поменьше
 */

import java.util.Scanner;

public class Task6 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int[][] myMatrix = new int[8][4]; // Матрица
        for (int i = 0; i < myMatrix.length; i++) { // Заполнение матрицы с консоли
            for (int j = 0; j < myMatrix[i].length; j++) {
                myMatrix[i][j] = scanner.nextInt();
            }
        }
        System.out.println(diet(myMatrix));
    }

    /** Рекомендации по диете
     *
     * @param matrix матрица 8х4
     * @return Строку рекомендаций
     */
    private static String diet(int[][] matrix) {
        String out = "Отлично"; // Если в норме
        int sum;
        for (int i = 0; i < 4; i++) { // Подсчёт съеденного
            sum = 0;
            for (int j = 1; j < 8; j++) { // По колонкам
                sum = sum + matrix[j][i];
                if (matrix[0][i] < sum) { // Сравнение с нормой
                    out = "Нужно есть поменьше"; // Если больше нормы
                }
            }
        }
        return out;
    }
}
